%global master_version 3
Name:          tiles
Version:       2.2.2
Release:       %mkrel 16
Group:         Development/Java
Summary:       Java templating framework for web application user interfaces
License:       ASL 2.0
Url:           http://tiles.apache.org/
Source0:       http://www.apache.org/dist/%{name}/v%{version}/%{name}-%{version}-src.tar.gz

# remove shale-test and maven-taglib-plugin
# change 
#  org.codehaus.mojo rat-maven-plugin in org.apache.rat apache-rat-plugin
#  org.codehaus.mojo jxr-maven-plugin in org.apache.maven.plugins maven-jxr-plugin
# use tomcat 7.x apis
Patch0:        %{name}-%{version}-fix-build.patch
# replace ognl ognl 2.7.3 with apache-commons-ognl
Patch1:        %{name}-%{version}-commons-ognl.patch
# add tiles-master relativePath
Patch2:        %{name}-%{version}-parent-pom.patch
# build fix fot tomcat 8.x apis
Patch3:        %{name}-%{version}-servlet3.1.patch

BuildRequires: mvn(commons-digester:commons-digester)
BuildRequires: mvn(javax.portlet:portlet-api)
BuildRequires: mvn(org.apache.commons:commons-ognl)
BuildRequires: mvn(org.apache.tomcat:tomcat-el-api)
BuildRequires: mvn(org.apache.tomcat:tomcat-jasper-el)
BuildRequires: mvn(org.apache.tomcat:tomcat-jsp-api)
BuildRequires: mvn(org.apache.tomcat:tomcat-servlet-api)
BuildRequires: mvn(org.apache.velocity:velocity-tools)
BuildRequires: mvn(org.freemarker:freemarker)
BuildRequires: mvn(org.mvel:mvel2)
BuildRequires: mvn(org.slf4j:jcl-over-slf4j)
BuildRequires: mvn(org.slf4j:slf4j-jdk14)
BuildRequires: slf4j
BuildRequires: tomcat-lib

# test deps
%if 0
BuildRequires: mvn(org.easymock:easymockclassextension) >= 2.4
BuildRequires: mvn(org.apache.shale:shale-test) >= 1.0.5
%endif
BuildRequires: mvn(junit:junit)

BuildRequires: maven-local
BuildRequires: maven-plugin-bundle
BuildRequires: maven-resources-plugin

# requires by remote-resources-plugin
BuildRequires: mvn(org.apache.maven.shared:maven-artifact-resolver)
BuildRequires: mvn(org.apache.maven.shared:maven-shared-components:pom:)

BuildArch:     noarch

%description
Apache Tiles is a templating framework built to simplify the
development of web application user interfaces. Tiles allows
authors to define page fragments which can be assembled into
a complete page at runtime. These fragments, or tiles, can
be used as simple includes in order to reduce the duplication
of common page elements or embedded within other tiles to
develop a series of reusable templates. These templates
streamline the development of a consistent look and feel
across an entire application. Tiles grew in popularity as a
component of the popular Struts framework. It has since been
extracted from Struts and is now integrated with various
frameworks, such as Struts 2 and Shale.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p0
%patch3 -p1


# require org.springframework spring-webmvc-portlet 2.5.6
%pom_disable_module tiles-portlet-wildcard src/pom.xml
# org.springframework spring-web 2.5.6
%pom_disable_module tiles-servlet-wildcard src/pom.xml
# depends on previous artifacts
%pom_disable_module tiles-extras src/pom.xml
%pom_disable_module assembly src/pom.xml

sed -i "s|<artifactId>jasper-el|<artifactId>tomcat-jasper-el|" src/tiles-el/pom.xml

sed -i "s|<groupId>javax.servlet</groupId>|<groupId>org.apache.tomcat</groupId>|" src/tiles-core/pom.xml \
 src/tiles-api/pom.xml \
 src/tiles-velocity/pom.xml \
 src/tiles-servlet/pom.xml \
 src/tiles-compat/pom.xml \
 src/tiles-portlet/pom.xml \
 src/tiles-jsp/pom.xml \
 src/tiles-extras/pom.xml \
 src/tiles-freemarker/pom.xml \
 src/tiles-el/pom.xml \
 src/tiles-servlet-wildcard/pom.xml

sed -i "s|<artifactId>servlet-api</artifactId>|<artifactId>tomcat-servlet-api</artifactId>|" src/tiles-core/pom.xml \
 src/tiles-api/pom.xml \
 src/tiles-velocity/pom.xml \
 src/tiles-servlet/pom.xml \
 src/tiles-compat/pom.xml \
 src/tiles-portlet/pom.xml \
 src/tiles-jsp/pom.xml \
 src/tiles-extras/pom.xml \
 src/tiles-freemarker/pom.xml \
 src/tiles-el/pom.xml \
 src/tiles-servlet-wildcard/pom.xml


%pom_remove_parent src
#cp -p %%{SOURCE1} pom.xml

%build

cd src
# TODO
# extras
# portlet-wildcard
# servlet-wildcard
%mvn_file :%{name}-api %{name}/api
%mvn_file :%{name}-compat %{name}/compat
%mvn_file :%{name}-core %{name}/core
%mvn_file :%{name}-el %{name}/el
%mvn_file :%{name}-freemarker %{name}/freemarker
%mvn_file :%{name}-jsp %{name}/jsp
%mvn_file :%{name}-mvel %{name}/mvel
%mvn_file :%{name}-ognl %{name}/ognl
%mvn_file :%{name}-portlet %{name}/portlet
%mvn_file :%{name}-servlet %{name}/servlet
%mvn_file :%{name}-template %{name}/template
%mvn_file :%{name}-velocity %{name}/velocity

# test skip for unavailable deps
%mvn_build -f

%install

(
cd src
%mvn_install
)

%files -f src/.mfiles
%dir %{_javadir}/%{name}
%license LICENSE.txt NOTICE.txt

%files javadoc -f src/.mfiles-javadoc
%license LICENSE.txt NOTICE.txt



%changelog
* Wed Feb 24 2016 neoclust <neoclust> 2.2.2-16.mga6
+ Revision: 978189
- First rebuild of the java stack
- sync package tiles with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Fri Dec 26 2014 dmorgan <dmorgan> 2.2.2-9.mga5
+ Revision: 806167
- Sync with fc21

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Mon Jan 06 2014 dmorgan <dmorgan> 2.2.2-5.mga4
+ Revision: 565152
- Build with xmvn

* Fri Oct 18 2013 umeabot <umeabot> 2.2.2-4.mga4
+ Revision: 519673
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.2.2-3.mga3
+ Revision: 384577
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 12 2012 dmorgan <dmorgan> 2.2.2-2.mga3
+ Revision: 292765
- Build with tomcat7

* Tue Dec 06 2011 gil <gil> 2.2.2-1.mga2
+ Revision: 177419
- edit spec file
  install extra and velocity modules
- edit tiles depmap
- replace servlet25 with tomcat6-servlet-2.5-api
- enable velocity-tools
- added tomcat6 as BR
- added depmap file
- rebuilt added new libraries
- imported package tiles

